darcs-2.5.2: a distributed, interactive, smart revision control system

Darcs.Population

Synopsis

- data Population
- patchChanges :: Prim -> [(String, DirMark)]
- applyToPop :: PatchInfo -> FL Prim -> Population -> Population
- getPopFrom :: FilePath -> PatchInfo -> IO Population
- setPopState :: PatchInfo -> Population -> Population
- data DirMark
  - = AddedFile
  - | RemovedFile
  - | MovedFile String
  - | ModifiedFile
  - | DullFile
  - | AddedDir
  - | RemovedDir
  - | MovedDir !String
  - | DullDir
- getRepoPop :: FilePath -> IO Population
- getRepoPopVersion :: FilePath -> PatchInfo -> IO Population
- modifiedToXml :: Info -> Doc
- lookupPop :: FilePath -> Population -> Maybe Population
- lookupCreationPop :: PatchInfo -> FilePath -> Population -> Maybe Population

# Documentation

data Population

the population of a darcs repository (simpler Slurpy)

Instances

Eq Population |
Show Population |

patchChanges :: Prim -> [(String, DirMark)]

applyToPop :: PatchInfo -> FL Prim -> Population -> Population

getPopFrom :: FilePath -> PatchInfo -> IO Population

read the population from a given directory `dirname` all folders and documents get the given time `t`

This needs to be here in order to avoid a circular dependency between Population and Pristine.

setPopState :: PatchInfo -> Population -> Population

data DirMark

info of a directory member

Constructors

AddedFile |
RemovedFile |
MovedFile String |
ModifiedFile |
DullFile |
AddedDir |
RemovedDir |
MovedDir !String |
DullDir |

Instances

Eq DirMark |
Ord DirMark |
Show DirMark |

getRepoPop :: FilePath -> IO Population

get the pristine population from a repo

getRepoPopVersion :: FilePath -> PatchInfo -> IO Population

modifiedToXml :: Info -> Doc

lookupPop :: FilePath -> Population -> Maybe Population

lookupCreationPop :: PatchInfo -> FilePath -> Population -> Maybe Population